package com.yanzhu.jh.project.domain.vo;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class LabourUserVO {

    private static final long serialVersionUID = 1L;

    /** 工人id */
    @NotBlank(message = "工人ID不能为空")
    @Size(max = 64, message = "工人ID最大长度64位")
    private String workerId;

    /** 姓名 */
    @NotBlank(message = "工人姓名不能为空")
    @Size(max = 32, message = "工人ID最大长度32位")
    private String name;

    /** 民族 */
    @NotBlank(message = "工人民族不能为空")
    @Size(max = 32, message = "工人民族最大长度32位")
    private String ethnic;

    /** 籍贯 */
    @NotBlank(message = "工人籍贯不能为空")
    @Size(max = 128, message = "工人籍贯最大长度128位")
    private String nativePlace;

    /** 性别0:男 1:女 */
    @NotNull(message = "工人性别不能为空")
    @Max(value = 1, message = "工人性别格式异常")
    private Long gender;

    /** 联系电话 */
    @NotBlank(message = "联系电话不能为空")
    @Size(max = 32, message = "联系电话最大32位")
    private String phone;

    /** 近照 */
    @NotBlank(message = "工人近照不能为空")
    @Size(max = 255, message = "工人近照URL最大255位")
    private String recentPhoto;

    /** 所属班组ID */
    @NotBlank(message = "所属班组ID不能为空")
    private String groupId;

    /** 所属班组 */
    @NotBlank(message = "所属班组不能为空")
    @Size(max = 64, message = "所属名称最大64位")
    private String groupName;

    /** 工种名称 */
    @NotBlank(message = "工种名称不能为空")
    @Size(max = 64, message = "工种名称最大64位")
    private String workTypeName;

    /** 是否特殊工种 */
    @NotNull(message = "是否特殊工种不能为空")
    @Max(value = 1, message = "是否特殊工种格式异常，0否|1是")
    private Integer specWorkType;

    /** 进退场状态0:进场，1:退场 */
    @NotNull(message = "进退场状态不能为空")
    @Max(value = 1, message = "进退场状态格式异常，0进场|1退场")
    private Long state;

    /** 进场日期 */
    @NotBlank(message = "进场日期不能为空")
    @Size(max = 32, message = "进场日期格式异常")
    private String enterDate;

    /** 分包商id */
    @NotBlank(message = "分包商ID不能为空")
    private String companyId;

    /** 分包商名称 */
    @Size(max = 64, message = "分包商名称最大64位")
    private String companyName;

    /** 数据是否有效 */
    @NotNull(message = "数据是否有效不能为空")
    @Max(value = 1, message = "数据是否有效格式异常，0有效|1无效")
    private Long isDel;

    public String getWorkerId() {
        return workerId;
    }

    public void setWorkerId(String workerId) {
        this.workerId = workerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEthnic() {
        return ethnic;
    }

    public void setEthnic(String ethnic) {
        this.ethnic = ethnic;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public Long getGender() {
        return gender;
    }

    public void setGender(Long gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getRecentPhoto() {
        return recentPhoto;
    }

    public void setRecentPhoto(String recentPhoto) {
        this.recentPhoto = recentPhoto;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getWorkTypeName() {
        return workTypeName;
    }

    public void setWorkTypeName(String workTypeName) {
        this.workTypeName = workTypeName;
    }

    public Integer getSpecWorkType() {
        return specWorkType;
    }

    public void setSpecWorkType(Integer specWorkType) {
        this.specWorkType = specWorkType;
    }

    public Long getState() {
        return state;
    }

    public void setState(Long state) {
        this.state = state;
    }

    public String getEnterDate() {
        return enterDate;
    }

    public void setEnterDate(String enterDate) {
        this.enterDate = enterDate;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getIsDel() {
        return isDel;
    }

    public void setIsDel(Long isDel) {
        this.isDel = isDel;
    }
}
